Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.server
Class TypeMapping

    java.lang.Object
      |
      +--org.apache.soap.server.TypeMapping

All Implemented Interfaces:
  java.io.Serializable

public class TypeMapping
extends java.lang.Object
implements java.io.Serializable

This class keeps all the info about a type mapping: the encoding style, the XML element type, the Java type that's spsed to map to and the names of the Java classes that implement the mapping between XML and Java.

See Also:
  Serialized Form

Field Summary
`QName` | `elementType`
`java.lang.String` | `encodingStyle`
`java.lang.String` | `java2XMLClassName`
`java.lang.String` | `javaType`
`java.lang.String` | `sqlType`
`java.lang.String` | `xml2JavaClassName`

Constructor Summary
`TypeMapping(java.lang.String encodingStyle, QName elementType, java.lang.String javaType, java.lang.String java2XMLClassName, java.lang.String xml2JavaClassName)`
`TypeMapping(java.lang.String encodingStyle, QName elementType, java.lang.String javaType, java.lang.String java2XMLClassName, java.lang.String xml2JavaClassName, java.lang.String sqlType)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encodingStyle

    public java.lang.String encodingStyle

### elementType

    public QName elementType

### javaType

    public java.lang.String javaType

### java2XMLClassName

    public java.lang.String java2XMLClassName

### xml2JavaClassName

    public java.lang.String xml2JavaClassName

### sqlType

    public java.lang.String sqlType

Constructor Detail

### TypeMapping

    public TypeMapping(java.lang.String encodingStyle,
    QName elementType,
                       java.lang.String javaType,
                       java.lang.String java2XMLClassName,
                       java.lang.String xml2JavaClassName)

### TypeMapping

    public TypeMapping(java.lang.String encodingStyle,
    QName elementType,
                       java.lang.String javaType,
                       java.lang.String java2XMLClassName,
                       java.lang.String xml2JavaClassName,
                       java.lang.String sqlType)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.